Das Precheck-Schema ist für die Verwendung in den Datenannahmestellen gedacht. Es entspricht der Struktur der finalen Schemata aus der Spezifikationskomponente XML-Schemata, allerdings prüft Precheck nicht so tief wie ein finales Schema. Bspw. muss /root/header/document/id/@V nicht vom Typ xs:string sein und einer Regex entsprechen, da im Precheck-Schema das Element /root/header/document/id vom Typ xs:anyType ist.  
  
Die Verwendung der precheck.xsd wird in der Technischen Dokumentation im Abschnitt "Prozesse in den Datenannahmestellen" erläutert.  
  
In den folgenden Xpaths ohne Attribut ist das letzte XML-Element vom Typ xs:anyType oder definiert mit einer Sequenz aus xs:any-Elementen. xs:anyType bedeutet, beliebige Attribute und beliebige XML-Kinder sind erlaubt. Xpaths mit Attribut haben dieselben Typdefinitionen wie die finalen Schemata, sprich, Xpaths mit Attribut werden hart validiert. Sie sind fett formatiert bzw. eingeklammert mit "**".
  
/root/header/ggt (minOccurs=0)  
/root/header/document/id  
/root/header/document/origination_dttm  
/root/header/document/das_receive_dttm (minOccurs=0)  
/root/header/document/modification_dttm  
/root/header/document/software/vendor  
/root/header/document/software/name  
/root/header/document/software/version  
**/root/header/document/software/specification/@V**  
/root/header/document/software/information_system (minOccurs=0)  
**/root/header/document/data_flow/@V**  
**/root/header/document/data_target/@V**  
/root/header/provider  
/root/header/protocol/@feedback_range (optional)  
/root/header/protocol/@document_id (optional)  
/root/header/protocol/validation_provider (minOccurs=0)  
**/root/header/protocol/status_document/@V**  
**/root/body/data_container/cases/@module**  
**/root/body/data_container/cases/@enum_procedure_type**  
  
Codierung:  
Alle Schemata sind in UTF-8 kodiert.  
Für den Datenfluss zwischen Leistungserbringer und den Landesverbänden der Krankenkassen und Ersatzkassen müssen die Exportdateien und Datenflussprotokolle in ISO-8859-1 kodiert sein. Zwischen Leistungserbringer und IQTIG werden die Dateien in UTF-8 ausgetauscht.  
Das Encoding muss in der XML-Deklaration kenntlich gemacht werden:  
<?xml version="1.0" encoding="utf-8" standalone="yes"?>  
  
Hinweise zur XML-Dokumentation:  
Die XML-Dokumentation ist nur als Schnelleinstieg für die Spezifikationskomponente Precheck gedacht. Die eigentliche Dokumentation zu den finalen XML-Schemata ist der Spezifikationskomponente XML-Schemata zu entnehmen.  
  
* Navigation:  
  * Back & forward button vom Browser  
  * Kindelemente können über die Zeile Model erreicht werden. (Die Diagramme im Format SVG selbst sind leider nicht verlinkt zu Attributen oder Kindelementen. Dennoch wurde SVG als Ausgabe gewählt, da die Qualität der Diagramme wesentlich höher ist als mit jpg, gif oder png. Alternativ kann die index_png_linked_diagrams.html als Einstiegspunkt genutzt werden.)  
  * Model zeigt im Unterschied zu Children auch Choices, Sequenzen und die erforderliche Reihenfolge der XML-Elemente.  
* In der Zeile Annotations und ggf. Attributes/Annotation stehen die Erläuterungen zu den XML-Elementen bzw. Attributen.  
* Das Attribut V steht für Value. Wenn V keine Annotation/Dokumentation hat, dann sollte das zugehörige XML-Element dokumentiert sein.  
* {1,1} drückt min und max hinsichtlich der Häufigkeit aus (in Beziehung zum Elternknoten).  
* Annotations in Englisch sind Definitionen aus https://www.w3.org/TR/xmlschema-2/ und dokumentieren Built-in Types.  
  
Mehr Informationen über die Tags in der XML-Dokumentation:  
https://www.oxygenxml.com/doc/versions/21.1/ug-editor/topics/documentation-XML-Schema.html  
  
Hinweis zu den Abbildungen/Diagrammen:  
dicke Linie -> verpflichtend  
dünne Linie -> optional  
